菜单

在ubuntu下随意编译安装需要的python版本

2020年2月5日 - 计算机数据
在ubuntu下随意编译安装需要的python版本

  想开始学习一下hive,需要一个使用起来方便的客户端,网上搜了一下发现hue是个很常用的工具。于是,就在自己的ubuntu14系统里,尝试安装hue。下面就是自己的安装步骤,记录如下:

一.环境

1、先查看自己的ubuntu的版本号

ubuntu14.04

 图片 1

二.准备

2、安装git

2.1更新软件库

  sudo apt-get install git

sudo apt-get update

3、下载hue的源码

2.2安装编译器及相应工具

  git clone 

2.3安装相应的开发库

  cd hue

sudo apt-get install zlib1g-dev libbz2-dev libssl-dev libncurses5-dev
 libsqlite3-dev libreadline-dev tk-dev libgdbm-dev libdb-dev libpcap-dev
xz-utils libexpat-dev

4、系统上没有安装make,于是安装make

2.4安装python

5、make apps,报错原来是缺少python2.7-devel

2.4.1获取python2.7.13

apt-get install python2.7-dev 

wget

make 

2.4.2解压

libkrb5-dev 

tar xvf Python-2.7.13.tar.xz

lib

2.4.3进入目录Python-2.7.13

libxslt-dev 

cd Python-2.7.13

libsqlite3-dev 

2.4.4配置

libssl-dev 

./configure –prefix=/usr/local
–enable-unicode=ucs4
–enable-shared LDFLAGS=”-Wl,-rpath
/usr/local/lib”

libldap2-dev 

2.4.5安装

python-pip

make -j10 && sudo make
install

也可以通过下面命令

2.5
安装pip

相关文章

发表评论

电子邮件地址不会被公开。 必填项已用*标注

网站地图xml地图